> ## Documentation Index
> Fetch the complete documentation index at: https://getbuildify.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profiles of a Listing

> Get profile information for a specific listing.



## OpenAPI

````yaml get /{apiVersion}/{apiProvince}/profiles_of_listing
openapi: 3.0.0
info:
  title: Buildify API
  version: '1.0'
servers:
  - url: https://api.getbuildify.com
security:
  - sec0: []
paths:
  /{apiVersion}/{apiProvince}/profiles_of_listing:
    get:
      summary: Get Profiles of a Listing
      description: ✅ Get profile information for a specific listing.
      operationId: get-profiles-of-a-listing
      parameters:
        - name: id
          in: query
          description: Listing id for which profiles needs to fetched.
          required: true
          schema:
            type: string
        - name: referrences
          in: query
          description: >-
            Fields to attach referrences. For example: builders, marketers, etc.
            It should be comma separated. **[See more
            info](https://buildify.readme.io/reference/referrencing)**.
          schema:
            type: string
        - name: apiVersion
          in: path
          schema:
            type: string
            enum:
              - v1-sandbox
              - v1-lite
              - v1
          required: true
        - name: apiProvince
          in: path
          schema:
            type: string
            enum:
              - all
              - 'on'
              - bc
              - ab
              - mb
              - nb
              - nl
              - ns
              - pe
              - qc
              - sk
            default: 'on'
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "owners": [],
                      "builders": [
                        "Builders/3tLqusTBLjz2p52xbuU3"
                      ],
                      "marketingCompanies": [
                        "Marketers/5zG7biPh5vDGxP4GMw58"
                      ],
                      "salesCompanies": [
                        "SalesCompanies/md5syAFCqmgio8CUTk1Q"
                      ],
                      "architects": [
                        "Architects/IgC5hMbQ1jqXAAoV4ynY"
                      ],
                      "interiorDesigners": [
                        "InteriorDesigners/40MlPNcpFer8VFyhQaMl"
                      ],
                      "id": "Q1UD4Y"
                    }
              schema:
                type: object
                properties:
                  owners:
                    type: array
                    items:
                      type: string
                  builders:
                    type: array
                    items:
                      type: string
                      example: Builders/3tLqusTBLjz2p52xbuU3
                  marketingCompanies:
                    type: array
                    items:
                      type: string
                      example: Marketers/5zG7biPh5vDGxP4GMw58
                  salesCompanies:
                    type: array
                    items:
                      type: string
                      example: SalesCompanies/md5syAFCqmgio8CUTk1Q
                  architects:
                    type: array
                    items:
                      type: string
                      example: Architects/IgC5hMbQ1jqXAAoV4ynY
                  interiorDesigners:
                    type: array
                    items:
                      type: string
                      example: InteriorDesigners/40MlPNcpFer8VFyhQaMl
                  id:
                    type: string
                    example: Q1UD4Y
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "requestId": "1675936638514022480-YXdzLWFwLXNvdXRoLTE=-11aae58e034148e6b9a998db5f8e60e93d820a60b13c49f0a1074cf2a84d3438",
                        "message": "Forbidden"
                    }
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: >-
                      1675936638514022480-YXdzLWFwLXNvdXRoLTE=-11aae58e034148e6b9a998db5f8e60e93d820a60b13c49f0a1074cf2a84d3438
                  message:
                    type: string
                    example: Forbidden
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "requestId": "1675930187281514036-YXdzLXVzLWVhc3QtMQ==-3ea8e17502b24832a8ecec42de71b8b7cdf2842f0f154daea9fa34ea5bea4b05",
                      "message": "No data product found. Please contact your data provider"
                    }
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: >-
                      1675930187281514036-YXdzLXVzLWVhc3QtMQ==-3ea8e17502b24832a8ecec42de71b8b7cdf2842f0f154daea9fa34ea5bea4b05
                  message:
                    type: string
                    example: No data product found. Please contact your data provider
        '500':
          description: '500'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "message": "Error: 500"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Error: 500'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````